import PageRenderer from "@/components/pageRenderer/PageRenderer";
import SectionRenderer from "@/components/pageRenderer/SectionRenderer";
import ProductRenderer from "@/components/productRenderer/ProductRenderer";
import { getPage } from "@/services/apis/pages";
import { notFound } from "next/navigation";

const page = async ({ params }) => {
  const { slug } = await params;
  // بررسی معتبر بودن slug
  if (slug.includes("_next") || slug.includes("css") || slug.includes("map")) {
    return null; // یا یک پیام خطا نمایش دهید
  }
  const url = slug.map((item) => item).join("/");

  const pageData = await getPage(url);

  if (!pageData) notFound();

  return (
    <div className="w-full flex flex-col">
      {pageData.pageType === "product" && (
        <ProductRenderer product={pageData} />
      )}
      {pageData.pageType !== "product" && <PageRenderer pageData={pageData} />}
    </div>
  );
};

export default page;
